> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.bridge.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Provision an additional top-up deposit address for the card account

> Provision an additional deposit address for the card account, to allow topping up the card from multiple chains. This is only applicable to Bridge-custodied top-up card accounts. These additional deposit addresses will also be shown in the `additional_funding_instructions` field when fetching the card account details afterwards.



## OpenAPI

````yaml https://withbridge-image1-sv-usw2-monorail-openapi.s3.amazonaws.com/latest.json post /customers/{customerID}/card_accounts/{cardAccountID}/deposit_addresses
openapi: 3.0.2
info:
  title: Bridge API
  description: APIs to move into, out of, and between any form of a dollar
  version: '1'
servers:
  - url: https://api.bridge.xyz/v0
    description: The base path for all resources
security:
  - ApiKey: []
tags:
  - name: Customers
  - name: Fiat Payout Configuration
  - name: External Accounts
  - name: Transfers
  - name: Prefunded Accounts
  - name: Balances
  - name: Liquidation Addresses
  - name: Developers
  - name: API Keys
  - name: Plaid
  - name: Virtual Accounts
  - name: Static Memos
  - name: Cards
  - name: Funds Requests
  - name: Webhooks
  - name: Lists
  - name: Crypto Return Policies
  - name: Rewards
  - name: Associated Persons
  - name: Sandbox
paths:
  /customers/{customerID}/card_accounts/{cardAccountID}/deposit_addresses:
    post:
      tags:
        - Cards
      summary: Provision an additional top-up deposit address for the card account
      description: >-
        Provision an additional deposit address for the card account, to allow
        topping up the card from multiple chains. This is only applicable to
        Bridge-custodied top-up card accounts. These additional deposit
        addresses will also be shown in the `additional_funding_instructions`
        field when fetching the card account details afterwards.
      parameters:
        - $ref: '#/components/parameters/IdempotencyKeyParameter'
        - $ref: '#/components/parameters/CustomerIDParameter'
        - $ref: '#/components/parameters/CardAccountIDParameter'
      requestBody:
        description: The chain to provision the new deposit address on.
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PostCardAccountDepositAddressInput'
      responses:
        '200':
          description: Details of the successfully created deposit address
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CardAccountFundingInstructions'
        '400':
          $ref: '#/components/responses/BadRequestError'
        '401':
          $ref: '#/components/responses/AuthenticationError'
        '500':
          $ref: '#/components/responses/UnexpectedError'
components:
  parameters:
    IdempotencyKeyParameter:
      in: header
      name: Idempotency-Key
      required: true
      schema:
        type: string
    CustomerIDParameter:
      name: customerID
      in: path
      required: true
      schema:
        $ref: '#/components/schemas/Id'
    CardAccountIDParameter:
      name: cardAccountID
      in: path
      required: true
      schema:
        $ref: '#/components/schemas/Id'
  schemas:
    PostCardAccountDepositAddressInput:
      description: The details of the new deposit address to be provisioned.
      required:
        - chain
      properties:
        chain:
          $ref: '#/components/schemas/OfframpChainForCards'
          type: string
          description: The chain to provision the new deposit address on.
    CardAccountFundingInstructions:
      description: >-
        Funding instructions applicable only to the top-up card funding
        strategy, which is configured at the developer level
      required:
        - currency
        - chain
        - address
      properties:
        currency:
          $ref: '#/components/schemas/CardsCryptoCurrency'
          description: The crypto currency used by the card account
        chain:
          $ref: '#/components/schemas/OfframpChainForCards'
          description: The chain used by the card account
        address:
          type: string
          description: The deposit address provided by Bridge to fund the card account
        memo:
          type: string
          description: >-
            If present, this is the message that the customer MUST include in
            their on-chain funding transfers. It is only applicable to
            memo-based blockchains such as Stellar and Tron
    Id:
      description: A UUID that uniquely identifies a resource
      type: string
      pattern: '[a-z0-9]*'
      minLength: 1
      maxLength: 42
    OfframpChainForCards:
      type: string
      enum:
        - arbitrum
        - avalanche_c_chain
        - base
        - ethereum
        - optimism
        - polygon
        - solana
        - stellar
    CardsCryptoCurrency:
      type: string
      enum:
        - usdc
    Error:
      required:
        - code
        - message
      properties:
        code:
          type: string
          minLength: 1
          maxLength: 256
        message:
          type: string
          minLength: 1
          maxLength: 512
        source:
          title: ErrorSource
          required:
            - location
            - key
          properties:
            location:
              type: string
              enum:
                - path
                - query
                - body
                - header
            key:
              type: string
              description: >-
                Comma separated names of the properties or parameters causing
                the error
  responses:
    BadRequestError:
      description: Request containing missing or invalid parameters.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          examples:
            BadCustomerRequestErrorExample:
              summary: Bad customer request
              value:
                code: bad_customer_request
                message: fields missing from customer body.
                name: first_name,ssn
    AuthenticationError:
      description: Missing or invalid API key
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          examples:
            MissingTokenError:
              summary: No Api-Key header
              description: The header may be missing or misspelled.
              value:
                code: required
                location: header
                name: Api-Key
                message: Missing Api-Key header
            InvalidTokenError:
              summary: Invalid key in Api-Key header
              value:
                code: invalid
                location: header
                name: Api-Key
                message: Invalid Api-Key header
    UnexpectedError:
      description: Unexpected error. User may try and send the request again.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          examples:
            UnexpectedError:
              summary: An unexpected error
              value:
                errors:
                  - code: unexpected
                    message: An expected error occurred, you may try again later
  securitySchemes:
    ApiKey:
      type: apiKey
      name: Api-Key
      in: header

````